
From: Jan Kasprzak <kas@fi.muni.cz>

the attached patch fixes an incorrect example in
Documentation/RCU/listRCU.txt - the "original" lock-based code should not
call RCU functions, of course.

Signed-Off-By: Jan "Yenya" Kasprzak <kas@fi.muni.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/Documentation/RCU/listRCU.txt |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN Documentation/RCU/listRCU.txt~minor-fix-of-rcu-documentation Documentation/RCU/listRCU.txt
--- 25/Documentation/RCU/listRCU.txt~minor-fix-of-rcu-documentation	Wed Nov  3 15:34:49 2004
+++ 25-akpm/Documentation/RCU/listRCU.txt	Wed Nov  3 15:34:49 2004
@@ -82,7 +82,7 @@ lock might be used as follows for deleti
 		list_for_each_entry(e, list, list) {
 			if (!audit_compare_rule(rule, &e->rule)) {
 				list_del(&e->list);
-				call_rcu(&e->rcu, audit_free_rule, e);
+				write_unlock(&auditsc_lock);
 				return 0;
 			}
 		}
_
